Bug 59036 - anaconda crashes during package installation
Summary: anaconda crashes during package installation
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
: 60624 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-29 18:10 UTC by Need Real Name
Modified: 2007-04-18 16:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:48:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-01-29 18:10:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start installation from cd
2. enter all information
3. crash will occur during package installation
	

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 497, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 399, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 434, in doPreInstall
    method.mergeFullHeaders(id.hdList)
  File "/usr/lib/anaconda/image.py", line 26, in mergeFullHeaders
    hdlist.mergeFullHeaders(self.tree + "/RedHat/base/hdlist2")
  File "/usr/lib/anaconda/comps.py", line 161, in mergeFullHeaders
    rpm.mergeHeaderListFromFD(self.hdlist, fd, 1000004)
rpm.error: match tag mismatch

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 8589718>
file: /mnt/source/RedHat/base/hdlist2
fd: 25

Comment 1 lchaerle 2002-02-22 17:14:03 UTC
Had a comparable anaconda crash
got around it by deselecting pygtk package in the language package section and
choosing not to install any depending packages

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 778, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 497, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 399, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 563, in doInstall
    problems = ts.run(0, ~rpm.RPMPROB_FILTER_DISKSPACE, cb.cb, 0)
  File "/usr/lib/anaconda/packages.py", line 225, in cb
    fn = self.method.getFilename(h, self.pkgTimer)
  File "/usr/lib/anaconda/image.py", line 88, in getFilename
    isys.umount("/mnt/source")
  File "/usr/lib/anaconda/isys.py", line 152, in umount
    rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
what: /mnt/source
removeDir: 1

Comment 2 David Lash 2002-02-25 03:37:09 UTC
Had a similar crash during package installation as follows:
Traceback(innermost last): File "/usr/bin/anaconda", line 620 in ? intf.run
(id,dispatch,configFileData)
File "/usr/bin/anaconca/text.py", line 408, in run dispatch.gotoNext()

appears to be the same situation but in text mode rather than gui installation. 
This was  a "server" install, no individual packages selected or deselected

Comment 3 Need Real Name 2002-03-05 19:49:06 UTC
I've experienced the exact same crash trying to install Version 7.2  Reported 
as bug #60737

Comment 4 Jeremy Katz 2002-03-06 22:12:33 UTC
*** Bug 60624 has been marked as a duplicate of this bug. ***

Comment 5 Matt Wilson 2002-03-12 21:53:58 UTC
lacha@gengenp.rug.ac.be, your traceback doesn't have anything to do with this bug.

abe@scopeset.com, did you modify any CD image?  Did you burn ISOs onto CD-R or
CD-RW media?


Comment 6 Need Real Name 2002-03-12 22:07:23 UTC
I burned the ISO image on a CD-RW, i made no changes to the image, the MD5 
checksum is correct.

Comment 7 Matt Wilson 2002-03-12 22:37:06 UTC
Please burn the ISO images on new CD-RWs or CD-Rs and re-test.  This type of
error is normally caused by bad CD images.


Comment 8 Michael Fulbright 2002-04-10 18:22:14 UTC
Closing due to inactivity, please reopen if you contine to have problems.

Comment 9 Red Hat Bugzilla 2006-02-21 18:48:23 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.